# Uses of Interface
org.springframework.web.server.ServerWebExchange

Packages that use ServerWebExchange
Package
Description
org.springframework.web.bind.support
Support classes for web data binding.
org.springframework.web.cors.reactive
Reactive support for CORS (Cross-Origin Resource Sharing), based on a common `CorsProcessor` strategy.
org.springframework.web.filter.reactive
`WebFilter` implementations for use in reactive web applications.
org.springframework.web.server
Core interfaces and classes for Spring's generic, reactive web support.
org.springframework.web.server.adapter
Implementations to adapt to the underlying `org.springframework.http.client.reactive` reactive HTTP adapter and `HttpHandler`.
org.springframework.web.server.handler
Provides common WebHandler implementations and a `WebHandlerDecorator`.
org.springframework.web.server.i18n
Locale related support classes.
org.springframework.web.server.session
Auxiliary interfaces and implementation classes for `WebSession` support.

## Uses of ServerWebExchange in org.springframework.web.bind.support

Methods in org.springframework.web.bind.support with parameters of type ServerWebExchange
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
WebExchangeDataBinder.`bind(ServerWebExchange exchange)`
Bind query parameters, form data, or multipart form data to the binder target.
`reactor.core.publisher.Mono<Void>`
WebExchangeDataBinder.`construct(ServerWebExchange exchange)`
Use a default or single data constructor to create the target by binding request parameters, multipart files, or parts to constructor args.
`static reactor.core.publisher.Mono<Map<String,Object>>`
WebExchangeDataBinder.`extractValuesToBind(ServerWebExchange exchange)`
Combine query params and form data for multipart form data from the body of the request into a `Map<String, Object>` of values to use for data binding purposes.
`reactor.core.publisher.Mono<Map<String,Object>>`
WebExchangeDataBinder.`getValuesToBind(ServerWebExchange exchange)`
Obtain the values for data binding.

## Uses of ServerWebExchange in org.springframework.web.cors.reactive

Methods in org.springframework.web.cors.reactive with parameters of type ServerWebExchange
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
CorsWebFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
`reactor.core.publisher.Mono<Void>`
PreFlightRequestWebFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
`CorsConfiguration`
CorsConfigurationSource.`getCorsConfiguration(ServerWebExchange exchange)`
Return a `CorsConfiguration` based on the incoming request.
`CorsConfiguration`
UrlBasedCorsConfigurationSource.`getCorsConfiguration(ServerWebExchange exchange)`
`protected boolean`
DefaultCorsProcessor.`handleInternal(ServerWebExchange exchange, CorsConfiguration config, boolean preFlightRequest)`
Handle the given request.
`reactor.core.publisher.Mono<Void>`
PreFlightRequestHandler.`handlePreFlight(ServerWebExchange exchange)`
Handle a pre-flight request by finding and applying the CORS configuration that matches the expected actual request.
`boolean`
CorsProcessor.`process(CorsConfiguration configuration, ServerWebExchange exchange)`
Process a request using the given `CorsConfiguration`.
`boolean`
DefaultCorsProcessor.`process(CorsConfiguration config, ServerWebExchange exchange)`

## Uses of ServerWebExchange in org.springframework.web.filter.reactive

Methods in org.springframework.web.filter.reactive that return types with arguments of type ServerWebExchange
Modifier and Type
Method
Description
`static Optional<ServerWebExchange>`
ServerWebExchangeContextFilter.`getExchange(reactor.util.context.ContextView contextView)`
Access the `ServerWebExchange` from a Reactor `ContextView`, if available, which is generally the case when `ServerWebExchangeContextFilter` is present in the filter chain.
Methods in org.springframework.web.filter.reactive with parameters of type ServerWebExchange
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
HiddenHttpMethodFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
Transform an HTTP POST into another method based on `methodParamName`.
`reactor.core.publisher.Mono<Void>`
ServerHttpObservationFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
Deprecated, for removal: This API element is subject to removal in a future version.
`reactor.core.publisher.Mono<Void>`
ServerWebExchangeContextFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
`reactor.core.publisher.Mono<Void>`
UrlHandlerFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
`static Optional<ServerRequestObservationContext>`
ServerHttpObservationFilter.`findObservationContext(ServerWebExchange exchange)`
Deprecated, for removal: This API element is subject to removal in a future version.
Get the current `observation context` from the given request, if available.

## Uses of ServerWebExchange in org.springframework.web.server

Classes in org.springframework.web.server that implement ServerWebExchange
Modifier and Type
Class
Description
`class`
`ServerWebExchangeDecorator`
A convenient base class for classes that need to wrap another `ServerWebExchange`.
Methods in org.springframework.web.server that return ServerWebExchange
Modifier and Type
Method
Description
`ServerWebExchange`
ServerWebExchange.Builder.`build()`
Build a `ServerWebExchange` decorator with the mutated properties.
`ServerWebExchange`
ServerWebExchangeDecorator.`getDelegate()`
Methods in org.springframework.web.server with parameters of type ServerWebExchange
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
WebFilter.`filter(ServerWebExchange exchange, WebFilterChain chain)`
Process the Web request and (optionally) delegate to the next `WebFilter` through the given `WebFilterChain`.
`reactor.core.publisher.Mono<Void>`
WebFilterChain.`filter(ServerWebExchange exchange)`
Delegate to the next `WebFilter` in the chain.
`reactor.core.publisher.Mono<Void>`
WebExceptionHandler.`handle(ServerWebExchange exchange, Throwable ex)`
Handle the given exception.
`reactor.core.publisher.Mono<Void>`
WebHandler.`handle(ServerWebExchange exchange)`
Handle the web server exchange.
Constructors in org.springframework.web.server with parameters of type ServerWebExchange
Modifier
Constructor
Description
`protected`
`ServerWebExchangeDecorator(ServerWebExchange delegate)`

## Uses of ServerWebExchange in org.springframework.web.server.adapter

Classes in org.springframework.web.server.adapter that implement ServerWebExchange
Modifier and Type
Class
Description
`class`
`DefaultServerWebExchange`
Default implementation of `ServerWebExchange`.
Methods in org.springframework.web.server.adapter that return ServerWebExchange
Modifier and Type
Method
Description
`protected ServerWebExchange`
HttpWebHandlerAdapter.`createExchange(ServerHttpRequest request, ServerHttpResponse response)`

## Uses of ServerWebExchange in org.springframework.web.server.handler

Methods in org.springframework.web.server.handler with parameters of type ServerWebExchange
Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
DefaultWebFilterChain.`filter(ServerWebExchange exchange)`
`reactor.core.publisher.Mono<Void>`
ExceptionHandlingWebHandler.`handle(ServerWebExchange exchange)`
`reactor.core.publisher.Mono<Void>`
FilteringWebHandler.`handle(ServerWebExchange exchange)`
`reactor.core.publisher.Mono<Void>`
ResponseStatusExceptionHandler.`handle(ServerWebExchange exchange, Throwable ex)`
`reactor.core.publisher.Mono<Void>`
WebHandlerDecorator.`handle(ServerWebExchange exchange)`

## Uses of ServerWebExchange in org.springframework.web.server.i18n

Methods in org.springframework.web.server.i18n with parameters of type ServerWebExchange
Modifier and Type
Method
Description
`org.springframework.context.i18n.LocaleContext`
AcceptHeaderLocaleContextResolver.`resolveLocaleContext(ServerWebExchange exchange)`
`org.springframework.context.i18n.LocaleContext`
FixedLocaleContextResolver.`resolveLocaleContext(ServerWebExchange exchange)`
`org.springframework.context.i18n.LocaleContext`
LocaleContextResolver.`resolveLocaleContext(ServerWebExchange exchange)`
Resolve the current locale context via the given exchange.
`void`
AcceptHeaderLocaleContextResolver.`setLocaleContext(ServerWebExchange exchange, org.springframework.context.i18n.LocaleContext locale)`
`void`
FixedLocaleContextResolver.`setLocaleContext(ServerWebExchange exchange, org.springframework.context.i18n.LocaleContext localeContext)`
`void`
LocaleContextResolver.`setLocaleContext(ServerWebExchange exchange, org.springframework.context.i18n.LocaleContext localeContext)`
Set the current locale context to the given one, potentially including a locale with associated time zone information.

## Uses of ServerWebExchange in org.springframework.web.server.session

Methods in org.springframework.web.server.session with parameters of type ServerWebExchange
Modifier and Type
Method
Description
`void`
CookieWebSessionIdResolver.`expireSession(ServerWebExchange exchange)`
`void`
HeaderWebSessionIdResolver.`expireSession(ServerWebExchange exchange)`
`void`
WebSessionIdResolver.`expireSession(ServerWebExchange exchange)`
Instruct the client to end the current session.
`reactor.core.publisher.Mono<WebSession>`
DefaultWebSessionManager.`getSession(ServerWebExchange exchange)`
`reactor.core.publisher.Mono<WebSession>`
WebSessionManager.`getSession(ServerWebExchange exchange)`
Return the `WebSession` for the given exchange.
`List<String>`
CookieWebSessionIdResolver.`resolveSessionIds(ServerWebExchange exchange)`
`List<String>`
HeaderWebSessionIdResolver.`resolveSessionIds(ServerWebExchange exchange)`
`List<String>`
WebSessionIdResolver.`resolveSessionIds(ServerWebExchange exchange)`
Resolve the session IDs associated with the request.
`void`
CookieWebSessionIdResolver.`setSessionId(ServerWebExchange exchange, String id)`
`void`
HeaderWebSessionIdResolver.`setSessionId(ServerWebExchange exchange, String id)`
`void`
WebSessionIdResolver.`setSessionId(ServerWebExchange exchange, String sessionId)`
Send the given session ID to the client.